-- ### -------------------------------------------------------------- ###
-- #									#
-- # file	: dlxm_scan.pat						#
-- # date	: February 1995 					#
-- # version	: v0.0							#
-- #									#
-- # origin	: this description has been developed by CAO-VLSI team	#
-- #		  at MASI laboratory, University Pierre et Marie Curie	#
-- #		  URA CNRS 818, Institut Blaise Pascal			#
-- #		  4 Place Jussieu 75252 Paris Cedex 05 - France		#
-- # E-mail      :      cao-vlsi@masi.ibp.fr                            #
-- #									#
-- # descr.	: pattern input file for scan path simulation of the    #
-- # 		  DLXm chip inside the dlxm_cpu board			#
-- #									#
-- ### -------------------------------------------------------------- ###




--		sequence : pattern

-- input / output list :
in       scin B;;
in       ck B;;
in       reset B;;
in       frz B;;
out      rw B;;
out      byte (0 to 3) X;;
inout    data (31 downto 0) X;;
inout    data_adr (31 downto 0) X;;
in       vdd B;;
in       vss B;;
in       test B;;
out      scout B;;

begin

-- Pattern description :

--                s c r f  r  b  d         d        v v t  s  
--                c k e r  w  y  a         a        d s e  c  
--                i   s z     t  t         t        d s s  o  
--                n   e       e  a         a            t  u  
--                    t                    _               t  
--                                         a                  
--                                         d                  
--                                         r                  

                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
cycle_242       : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?* ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_5            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 0 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_1            : 0 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_2            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?0 ;
ck_3            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
cycle_484       : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
                : 1 1 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;
ck_4            : 1 0 0 0 ?* ?0 ?******** ?******** 1 0 1 ?1 ;

end;
